%define	name	estickies
%define	version 0.0.1
%define release %mkrel 9

Summary: 	E17 Sticky notes application
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Toys
URL: 		http://get-e.org/
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	ecore-devel >= 0.9.9.050, etk-devel >= 0.1.0.042
Buildrequires:	edje-devel >= 0.9.9.050, edje >= 0.9.9.050
Buildrequires:	embryo-devel >= 0.9.9.050, embryo >= 0.9.9.050
BuildRequires:  imagemagick
BuildRequires:  desktop-file-utils


%description
Estickies is a sticky notes application that uses Etk.
uses Etk's runtime theming support to change the look
and feel of the windows and buttons.

%prep
%setup -q

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x
# fix libtool issue on release < 2009.1
%if %mdkversion < 200910
perl -pi -e "s/^ECHO.*/ECHO='echo'\necho='echo'\n/" libtool
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if %mdkversion < 200900
%post 
%{update_menus} 
%endif

%if %mdkversion < 200900
%postun 
%{clean_menus} 
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/pixmaps/*
%{_datadir}/applications/*


%changelog
* Sat Aug 08 2009 Funda Wang <fundawang@mandriva.org> 0.0.1-9mdv2010.0
+ Revision: 411692
- rebuild for new ecore

* Wed Jul 08 2009 Funda Wang <fundawang@mandriva.org> 0.0.1-8mdv2010.0
+ Revision: 393518
- rebuild

* Wed Mar 04 2009 Antoine Ginies <aginies@mandriva.com> 0.0.1-7mdv2009.1
+ Revision: 348437
- fix 2009.0 build

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.0.1-6mdv2009.1
+ Revision: 346975
- bump release
- fix buildrequires version

* Fri Feb 27 2009 Antoine Ginies <aginies@mandriva.com> 0.0.1-5mdv2009.1
+ Revision: 345603
- SVN SNAPSHOT 20090227, release 0.0.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jun 04 2007 Antoine Ginies <aginies@mandriva.com> 0.0.1-2mdv2008.0
+ Revision: 35226
- add imagemagick and dektop-file-utils buildrequires
- add embry buildrequires
- add embryo-devel buildrequires
- ?\195?\169fix .desktop
- use space instead of tab
- add .desktop file
- add edje buildrequires
- Import estickies

